package com.cm.websocket.exception;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: BaseSocketException
 * @Description: socket基础异常
 * @Author: wanggeng
 * @Date: 2021/1/14 12:12 下午
 * @Version: 1.0
 */
public class BaseSocketException extends Exception{

    public BaseSocketException() {
    }

    public BaseSocketException(String message) {
        super(message);
    }

    public BaseSocketException(String message, Throwable cause) {
        super(message, cause);
    }

    public BaseSocketException(Throwable cause) {
        super(cause);
    }

    public BaseSocketException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
